# FlutterSoundPlayer constructor

FlutterSoundPlayer({

1. Level logLevel = Level.debug,
2. bool voiceProcessing = false,

})

Instanciates a new Flutter Sound player.

The instanciation of a new player does not do many things. You are safe if you put this instanciation inside a global or instance variable initialization. You may instanciate several players at one moment.

## Parameters

- logLevel: The optional parameter logLevel specifies the Logger Level you are interested by.
- voiceProcessing: The optional parameter voiceProcessing is used to activate the VoiceProcessingIO AudioUnit (only for iOS)

## Example

    FlutterSoundPlayer myPlayer = FlutterSoundPlayer(logLevel = Level.warning);

## Implementation

    /* ctor */
    FlutterSoundPlayer({
      Level logLevel = Level.debug,
      bool voiceProcessing = false,
    }) {
      _logger = Logger(level: logLevel);
      _logger.d('ctor: FlutterSoundPlayer()');
    }